Bug 1254574 - Devhelp not displaying some devhelp2 files because missing namespace in this files
Devhelp not displaying some devhelp2 files because missing namespace in this ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: devhelp (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 08:27 EDT by Auguste Moutry
Modified: 2016-07-19 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:33:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Auguste Moutry 2015-08-18 08:27:03 EDT
Description of problem:
Devhelp not displaying some help files, like goa.devhelp2 clutter-gtk-1.0.devhelp2 clutter.devhelp2

Version-Release number of selected component (if applicable):
devhelp version 3.16.1
gnome-online-accounts-devel 3.16.3
clutter-gtk-devel 1.6.2
clutter-doc 1.22.4

How reproducible:
Install one of the above *.-devel packages and see if documentation appears in
Devhelp

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
Running Devhelp from the cmd line shows missing namespace in .devhelp2 files like this (devhelp:3623): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/goa/goa.devhelp2': Namespace «» non valido alla riga 3, colonna 1. The namespace in this xml file is missing, for example the gtk3.devhelp2 have xmlns="http://www.devhelp.net/book"
Comment 1 Timothy Ward 2015-11-20 01:54:52 EST
same problem in Bug 1283707 for Clutter docs 

(devhelp:4236): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/cally/cally.devhelp2': Invalid namespace '' at line 3, column 1

(devhelp:4236): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/clutter/clutter.devhelp2': Invalid namespace '' at line 3, column 1

(devhelp:4236): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/clutter-gtk-1.0/clutter-gtk-1.0.devhelp2': Invalid namespace '' at line 3, column 1

Installed Packages
Name        : devhelp
Arch        : i686
Epoch       : 1
Version     : 3.16.1
Release     : 1.fc22
Size        : 993 k
Repo        : @System
Summary     : API documention browser
URL         : https://wiki.gnome.org/Apps/Devhelp
License     : GPLv2+
Description : Devhelp is an API documentation browser for the GNOME desktop.
            : It works natively with API documentation generated by gtk-doc.



Installed Packages
Name        : clutter
Arch        : i686
Epoch       : 0
Version     : 1.22.4
Release     : 1.fc22
Size        : 4.7 M
Repo        : @System
Summary     : Open Source software library for creating rich graphical user
            : interfaces
URL         : http://www.clutter-project.org/
License     : LGPLv2+
Description : Clutter is an open source software library for creating fast,
            : visually rich graphical user interfaces. The most obvious example
            : of potential usage is in media center type applications.
            : We hope however it can be used for a lot more.
Comment 2 Timothy Ward 2015-12-12 02:04:00 EST
This is not a bug is is caused by the docs package for the named packages not being installed and therefore do not have the devhelp2 files located in usr/share/gtk-doc/html/
Comment 3 Fedora End Of Life 2016-07-19 13:33:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.